%define module	hyperframe

Name:		python-%{module}
Version:	6.0.0
Release:	%mkrel 1
Summary:	HTTP/2 framing layer for Python
Group:		Development/Python
License:	MIT
URL:		http://hyper.rtfd.org/
Source0:	https://pypi.io/packages/source/h/hyperframe/%{module}-%{version}.tar.gz
BuildArch:	noarch

%description
This library contains the HTTP/2 framing code used in the hyper project.
It provides a pure-Python codebase that is capable of decoding a binary
stream into HTTP/2 frames.

This library is used directly by hyper and a number of other projects
to provide HTTP/2 frame decoding logic.

%package -n	python3-%{module}
Summary:	HTTP/2 framing layer for Python 3
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
This library contains the HTTP/2 framing code used in the hyper project.
It provides a pure-Python codebase that is capable of decoding a binary
stream into HTTP/2 frames.

This library is used directly by hyper and a number of other projects
to provide HTTP/2 frame decoding logic.

This is the Python 3 version of the package.

%prep
%setup -q -n %{module}-%{version}

# Remove bundled egg-info
rm -rf %{module}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%doc CONTRIBUTORS.rst LICENSE README.rst
%{python3_sitelib}/%{module}/
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info/


%changelog
* Mon Nov 02 2020 kekepower <kekepower> 6.0.0-1.mga8
+ Revision: 1641599
- Update to version 6.0.0

* Sun Feb 16 2020 umeabot <umeabot> 5.2.0-3.mga8
+ Revision: 1531934
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 daviddavid <daviddavid> 5.2.0-2.mga8
+ Revision: 1441377
- rebuild for python3.8
- drop python2 support

* Sat Mar 02 2019 daviddavid <daviddavid> 5.2.0-1.mga7
+ Revision: 1371095
- new version: 5.2.0

* Tue Jan 08 2019 tv <tv> 5.1.0-3.mga7
+ Revision: 1351686
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 5.1.0-2.mga7
+ Revision: 1288956
- Mageia 7 Mass Rebuild

* Thu Oct 05 2017 daviddavid <daviddavid> 5.1.0-1.mga7
+ Revision: 1169140
- new version: 5.1.0
- rename python-hyperframe to python2-hyperframe

* Sat Aug 05 2017 pterjan <pterjan> 4.0.1-2.mga7
+ Revision: 1135453
- Rebuild for python 3.6

* Fri Dec 02 2016 daviddavid <daviddavid> 4.0.1-1.mga6
+ Revision: 1071762
- new version: 4.0.1

* Thu Feb 04 2016 daviddavid <daviddavid> 3.2.0-1.mga6
+ Revision: 935055
- initial package python-hyperframe

